<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
    <session-factory>
        <property name="hibernate.connection.driver_class">${jdbc.driver.class}</property>
        <property name="hibernate.dialect">${hibernate.dialect}</property>
        <property name="hibernate.connection.pool_size">5</property>
        <property name="hibernate.connection.batch_size">20</property>
        <property name="hibernate.cache.use_query_cache">false</property>
        <property name="hibernate.cache.use_second_level_cache">true</property>
        <property name="hibernate.format_sql">true</property>
        <property name="hibernate.show_sql">${hibernate.show_sql}</property>
        <!-- Values are validate | update | create | create-drop -->
        <property name="hibernate.hbm2ddl.auto">update</property>
        <property name="hibernate.connection.datasource" value="java:jboss/datasources/gazelle-webservice-testerDS"/>
        <!-- c3p0 properties -->
        <property name="hibernate.c3p0.min_size">${min.pool.size}</property>
        <property name="hibernate.c3p0.max_size">${max.pool.size}</property>
        <property name="hibernate.c3p0.acquire_increment">1</property>
        <property name="hibernate.c3p0.idle_test_period">40</property>
        <property name="hibernate.c3p0.max_statements">50</property>
        <property name="hibernate.c3p0.timeout">30</property>
        <property name="hibernate.c3p0.unreturnedConnectionTimeout">400</property>
        <property name="hibernate.c3p0.debugUnreturnedConnectionStackTraces">true</property>
        <!--<mapping class="net.ihe.gazelle.simulator.common.tf.model.Domain" />
        <mapping class="net.ihe.gazelle.simulator.common.tf.model.IntegrationProfile" />
        <mapping class="net.ihe.gazelle.simulator.common.tf.model.Actor" />
        <mapping class="net.ihe.gazelle.simulator.common.tf.model.Transaction" />
        <mapping class="net.ihe.gazelle.simulator.common.model.ApplicationConfiguration" />
        <mapping class="net.ihe.gazelle.simulator.message.model.TransactionInstance" />
        <mapping class="net.ihe.gazelle.simulator.message.model.MessageInstance" />-->

    </session-factory>
</hibernate-configuration>
